Bug 1295035 - Review Request: erlang-p1_pam - epam for ejabberd to help with PAM authentication support
Review Request: erlang-p1_pam - epam for ejabberd to help with PAM authentica...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Randy Barlow
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1204119
  Show dependency treegraph
 
Reported: 2016-01-01 03:25 EST by Randy Barlow
Modified: 2016-02-07 16:03 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-07 16:03:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jeremy: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Randy Barlow 2016-01-01 03:25:19 EST
Spec URL: https://rbarlow.fedorapeople.org/erlang-p1_pam.spec
SRPM URL: https://rbarlow.fedorapeople.org/erlang-p1_pam-0-1.20150223gitd3ce290b.fc24.src.rpm
Description: An Erlang library for ejabberd that helps with PAM authentication.
Fedora Account System Username: rbarlow

Koji scratch build: 

There was one rpmlint warning:

Checking: erlang-p1_pam-0-1.20150223gitd3ce290b.fc24.x86_64.rpm
          erlang-p1_pam-0-1.20150223gitd3ce290b.fc24.src.rpm
erlang-p1_pam.x86_64: W: unstripped-binary-or-object /usr/lib64/erlang/lib/p1_pam-0/priv/bin/epam
2 packages and 0 specfiles checked; 0 errors, 1 warnings.

It is conventional to include the debug symbols in Erlang packages:

https://fedoraproject.org/wiki/User:Peter/Erlang_Packaging_Guidelines
Comment 1 Randy Barlow 2016-01-01 03:25:53 EST
Koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=12369488
Comment 2 Upstream Release Monitoring 2016-01-05 01:54:14 EST
koschei's scratch build of ejabberd-14.07-6.fc22.src.rpm for f24 failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12414783
Comment 3 Upstream Release Monitoring 2016-01-06 20:29:21 EST
rbarlow's scratch build of erlang-p1_pam-0-1.20150223gitd3ce290b.fc24.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12441588
Comment 4 Jeremy Cline 2016-02-06 10:10:22 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v2 or later) (with incorrect FSF address)", "Unknown or
     generated". 4 files have unknown license. Detailed output of
     licensecheck in /home/jcline/devel/fedora-review/1295035-erlang-
     p1_pam/licensecheck.txt
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Final provides and requires are sane (see attachments).
[!]: Latest version is packaged.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: erlang-p1_pam-0-1.20150223gitd3ce290b.fc24.x86_64.rpm
          erlang-p1_pam-0-1.20150223gitd3ce290b.fc24.src.rpm
erlang-p1_pam.x86_64: W: spelling-error Summary(en_US) ejabberd -> jabbered, jabberer, jabber
erlang-p1_pam.x86_64: W: spelling-error %description -l en_US ejabberd -> jabbered, jabberer, jabber
erlang-p1_pam.x86_64: W: unstripped-binary-or-object /usr/lib64/erlang/lib/p1_pam-0/priv/bin/epam
erlang-p1_pam.src: W: spelling-error Summary(en_US) ejabberd -> jabbered, jabberer, jabber
erlang-p1_pam.src: W: spelling-error %description -l en_US ejabberd -> jabbered, jabberer, jabber
2 packages and 0 specfiles checked; 0 errors, 5 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
erlang-p1_pam.x86_64: W: spelling-error Summary(en_US) ejabberd -> jabbered, jabberer, jabber
erlang-p1_pam.x86_64: W: spelling-error %description -l en_US ejabberd -> jabbered, jabberer, jabber
erlang-p1_pam.x86_64: W: invalid-url URL: https://github.com/processone/epam/ <urlopen error [Errno -3] Temporary failure in name resolution>
erlang-p1_pam.x86_64: W: unstripped-binary-or-object /usr/lib64/erlang/lib/p1_pam-0/priv/bin/epam
1 packages and 0 specfiles checked; 0 errors, 4 warnings.



Requires
--------
erlang-p1_pam (rpmlib, GLIBC filtered):
    erlang-erts
    libc.so.6()(64bit)
    libpam.so.0()(64bit)
    libpam.so.0(LIBPAM_1.0)(64bit)
    libpthread.so.0()(64bit)
    rtld(GNU_HASH)



Provides
--------
erlang-p1_pam:
    erlang-p1_pam
    erlang-p1_pam(x86-64)



Source checksums
----------------
https://github.com/processone/epam/archive/d3ce290b7da75d780a03e86e7a8198a80e9826a6.tar.gz :
  CHECKSUM(SHA256) this package     : f5b5166cc3199d86fb30ff4d57fb0ccb12c1360b9027dad9d8bf7f27abc66bba
  CHECKSUM(SHA256) upstream package : f5b5166cc3199d86fb30ff4d57fb0ccb12c1360b9027dad9d8bf7f27abc66bba


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1295035
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 5 Gwyn Ciesla 2016-02-07 13:34:10 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/erlang-p1_pam

Note You need to log in before you can comment on or make changes to this bug.